# <a name="sec:contexte"></a> Positionnement
Comme énoncé précédemment, la représentation parcimonieuse des signaux fournit, dans la majorité des cas, une infinité de solutions. Le critère principal pour choisir la solution la plus optimale, réside dans l'obtention d’un signal x avec le plus de coefficients nuls possible. Seulement, ce problème d'optimisation est considéré comme NP-complet, donc trop difficile à résoudre.
Il existe, aujourd'hui, différentes méthodes pour calculer les coefficients de x de manière efficace, comme les algorithmes de poursuites. Ces derniers se basent sur une connaissance de D et de y. Les plus connus sont :
·    matching pursuit[1].
·    orthogonal matching pursuit[1].
·    focal underdetermined system solver (FOCUSS)[1].
Ces algorithmes sont très efficaces dans le cas d’un grand nombre de coefficients nuls au sein de x. Ils sont appelés « algorithmes gloutons ». Ils calculent séquentiellement le coefficient du signal x.
Ce qui nous amène au sujet principal de l'article, la formation des dictionnaires.
Afin de calculer les coefficients du signal x, nous émettons l’hypothèse de la connaissance du dictionnaire D. Or D est inconnu et doit être choisi parmi une infinité de solutions de la façon la plus optimale possible.
Il y a alors différentes manières pour déterminer D. La première, la plus simple, est de piocher parmi les nombreux dictionnaires existants dans la littérature qui sont calculés par des fonctions préétablies (fonction cosinusoïdale, gaussienne....). Bien que simple, cette méthode n'est pas très flexible et ne s'adapte pas à la dynamique du signal étudié. La seconde, est de calculer le dictionnaire D en se basant sur des méthode d'apprentissage. Cette dernière est celle proposée par l’auteur. Elle se base, comme la majorité des solutions de ce type, sur le principe de la généralisation de l'algorithme du K-means. K-means peut être perçu comme un cas particulier de la représentation parcimonieuse, avec la spécificité d'avoir un seul atome non nul et un coefficient correspondant à cet atome dans x qui soit égal à un.
<a name="sec:contexte"></a> Les différente méthode de calcule des dictionnaires:
1. Méthode du maximum de vraisemblance :
Cette méthode introduit un bruit blanc dans l'expression de base de la représentation parcimonieuse (1) et traite le problème de recherche du dictionnaire D de manière probabiliste. Ceci, en approximant la fonction de répartition p(x) par une laplacienne après le développement de la solution qui tend à devenir un problème de maximum de vraisemblance. "Ainsi, la solution tendra à augmenter les valeurs des entrées des dictionnaires pour permettre aux coefficients de se rapprocher de zéro. Cette difficulté a été gérée en limitant l'anomalie de chaque élément de base, de sorte que la variance de sortie des coefficients soit maintenue à un niveau approprié."[1] 
2. Méthode MOD :
Avant d'utiliser cette méthode, il faut d'abord calculer, à l'aide d'algorithmes de poursuites (OMP ou FOCCUS), les coefficients x (en utilisant un dictionnaire fixe), puis, trouver le bon D qui minimise la matrice erreur obtenu par : 
                                                    E=Y-DX                                                      (3)
Ou Y : représente l'ensemble des exemples de signal en notre possession.
3. Méthode du maximum à postériori MAP :
Cette méthode ressemble fortement à la première méthode, mais une information supplémentaire y est ajoutée, un apriori sur le dictionnaire D. "Ce cas permet à différentes colonnes d'avoir des valeurs de normes différentes. En conséquence, les colonnes ayant de faibles valeurs de normes ont tendance à être sous-utilisées, car les coefficients dont elles ont besoin sont plus grands et donc plus pénalisés."[1]
Les méthodes de construction de dictionnaires sont, selon les auteurs, jugées sur trois critères : flexibilité, simplicité et efficacité. Or aucune des méthodes, précédemment citées, ne remplient les trois critères à la fois.